function[]=IACS_requiremtns()
%%%%%%%%%%%%POLAR CLASS CONSTANTS%%%%%%%%%%%%%%%%%%%%%%%%%%
CFc=[17.69;9.89;6.06;4.5;3.1;2.4;1.8];
CFf=[68.6;46.8;21.17;13.48;9;5.49;4.06];
CFd=[2.01;1.75;1.53;1.42;1.31;1.17;1.11];
CFdis=[250;210;180;130;70;40;22];
CFl=[7.46;5.46;4.17;3.15;2.5;2.37;1.81];
AF=[0.7;0.65;0.55;0.55;0.5;0.45;0.45];
corfact=[5;5;5;4;4;3;3];
PPF=1.5;
%%%%%%%%%%%%%%%%%%%%%%%%%GIVEN%%%%%%%%%%%%%%%%%
D=[10;30;60;90;120;150;186.12;200;250];
n=9;
DF = zeros(7,1);
s=0.6;
l=4.43;
sigma=315;
%%%%%%%%%%%%%%%%%%%%%%CALCULATION%%%%%%%%%%%%%%%%%%%%%
P=zeros(7,n);
t=zeros(7,n);
b=zeros(7,n);
w=zeros(7,n);
 for j=1:n   
    for i = 1:7
            if D(j)<=CFdis(i)
            DF(i) = D(j).^0.64;
            else
            DF(i) = CFdis(i).^0.64+0.1*(D(j)-CFdis(i));
            end
    end 
F=0.36.*CFc.*DF;
Q=0.639.*F.^0.61.*CFd;
w(:,j)=F./Q;
b(:,j)=w(:,j)./3.6;
P(:,j)=F./(b(:,j).*w(:,j));
    for i=1:7
          if b(i)>=s
          t(i,j)=500*s*(1/(1+s/(2*l))).*sqrt((PPF*AF(i).*P(i,j))/315)+corfact(i);
          else t(i,j)=500*s.*((2.*b(i))/s-(b(i)/s).^2).^0.5.*(1./(1+s/(2*l))).*sqrt((PPF*AF(i).*P(i,j))/315)+corfact(i);
          end
    end
% P(:,j)
% t(:,j)
 end
% xlswrite('output.xlsx',P,1,'C3:K9')
% xlswrite('output.xlsx',t,1,'C11:K17')
xlswrite('output.xlsx',w,1,'C61:K67')
xlswrite('output.xlsx',b,1,'C53:K59')
% figure(1)
% plot(D,P);
% xlabel('Displacement(KT)')
% ylabel('Pressure(MPa)')
% legend('PC1','PC2','PC3','PC4','PC5','PC6','PC7',-1)
% figure(2)
% plot(D,t);
% xlabel('Displacement(KT)')
% ylabel('Thickness(mm)')
% legend('PC1','PC2','PC3','PC4','PC5','PC6','PC7',1)
end